# ApplicationFramework
TKPShape
PTopoDS

# PTopoDS_FieldOfHArray1OfHShape Class Reference

`#include <PTopoDS_FieldOfHArray1OfHShape.hxx>`

Inheritance diagram for PTopoDS_FieldOfHArray1OfHShape:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | PTopoDS_FieldOfHArray1OfHShape ()
Standard_EXPORT | PTopoDS_FieldOfHArray1OfHShape (const Standard_Integer Size)
Standard_EXPORT | PTopoDS_FieldOfHArray1OfHShape (const PTopoDS_FieldOfHArray1OfHShape &Varray)
Standard_EXPORT void | Resize (const Standard_Integer Size)
Standard_EXPORT void | Assign (const PTopoDS_FieldOfHArray1OfHShape &Other)
void | operator= (const PTopoDS_FieldOfHArray1OfHShape &Other)
Standard_EXPORT void | SetValue (const Standard_Integer Index, const Handle(PTopoDS_HShape)&Value)
Standard_EXPORT Handle_PTopoDS_HShape & | Value (const Standard_Integer Index) const
Handle_PTopoDS_HShape & | operator() (const Standard_Integer Index) const
Standard_EXPORT void | Destroy ()
| ~PTopoDS_FieldOfHArray1OfHShape ()

## Friends

Standard_EXPORT friend Handle_Standard_Type & | PTopoDS_FieldOfHArray1OfHShape_Type_ ()

## Constructor & Destructor Documentation

Standard_EXPORT PTopoDS_FieldOfHArray1OfHShape::PTopoDS_FieldOfHArray1OfHShape | ( |  | ) |

Standard_EXPORT PTopoDS_FieldOfHArray1OfHShape::PTopoDS_FieldOfHArray1OfHShape | ( | const Standard_Integer | Size | ) |

Standard_EXPORT PTopoDS_FieldOfHArray1OfHShape::PTopoDS_FieldOfHArray1OfHShape | ( | const PTopoDS_FieldOfHArray1OfHShape & | Varray | ) |

PTopoDS_FieldOfHArray1OfHShape::~PTopoDS_FieldOfHArray1OfHShape | ( |  | ) | `[inline]`

## Member Function Documentation

Standard_EXPORT void PTopoDS_FieldOfHArray1OfHShape::Assign | ( | const PTopoDS_FieldOfHArray1OfHShape & | Other | ) |

Standard_EXPORT void PTopoDS_FieldOfHArray1OfHShape::Destroy | ( |  | ) |

| Reimplemented from DBC_BaseArray.

void PTopoDS_FieldOfHArray1OfHShape::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from DBC_BaseArray.

void* PTopoDS_FieldOfHArray1OfHShape::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from DBC_BaseArray.

void* PTopoDS_FieldOfHArray1OfHShape::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from DBC_BaseArray.

Handle_PTopoDS_HShape& PTopoDS_FieldOfHArray1OfHShape::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

void PTopoDS_FieldOfHArray1OfHShape::operator= | ( | const PTopoDS_FieldOfHArray1OfHShape & | Other | ) | `[inline]`

Standard_EXPORT void PTopoDS_FieldOfHArray1OfHShape::Resize | ( | const Standard_Integer | Size | ) |

Standard_EXPORT void PTopoDS_FieldOfHArray1OfHShape::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(PTopoDS_HShape)& | Value
| ) |

Standard_EXPORT Handle_PTopoDS_HShape& PTopoDS_FieldOfHArray1OfHShape::Value | ( | const Standard_Integer | Index | ) | const

## Friends And Related Function Documentation

Standard_EXPORT friend Handle_Standard_Type& PTopoDS_FieldOfHArray1OfHShape_Type_ | ( |  | ) | `[friend]`

The documentation for this class was generated from the following file:

- PTopoDS_FieldOfHArray1OfHShape.hxx